/* oefening 4

De appletklasse Klok die zorgt voor
de GUI (FlowLayout instellen en 2 tekstvakken toevoegen)
de creatie van een instantie van de domeinklassen Second, Minuut en TickTock
het starten van de 2 threads
*/

import java.awt.*;
import javax.swing.*;

public class Klok extends JApplet
{
	private JTextField tekst1, tekst2;
	private Second second;
	private Minuut minuut;
	private TickTock tiktok;

	public void init()
	{
		Container c = getContentPane();
		tekst1 = new JTextField(15);
		tekst2 = new JTextField(15);
		c.setLayout( new FlowLayout());
		c.add(tekst1);
		c.add(tekst2);
		tiktok = new TickTock();
		second = new Second(tekst1, tiktok);
		minuut = new Minuut(tekst2, tiktok);

		second.start();
		minuut.start();


	}
}